For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delegated Access Requests

List Delegated Access Requests

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
granteestring · nullableOptional

Filters results to requests made for the specified user. Accepts a user ID or email address

limitinteger · int32OptionalDefault: 100
page_tokenstring · nullableOptional
statusesstring[] · nullableOptional

Filters results by request status. Supports multiple statuses.

Responses
200

OK

application/json
get/api/user/v1/delegated-access-requests
200

OK

Get Delegated Access Request

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringRequired

Unique identifier of the access request

statusstringRequired

Current status of the access request

duration_in_secinteger · int32 · nullableOptional

Duration for which access is granted, in seconds

justificationstring · nullableOptional

Reason provided by the user when requesting access

creation_datestring · date-timeRequired

ISO 8601 formatted date-time

revocation_datestring · date-timeOptional

ISO 8601 formatted date-time

get/api/user/v1/delegated-access-requests/{id}
200

OK

Last updated

Was this helpful?